*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 16px;
}

body {
    background: #fafafa;
    color: #333;
    font: 1rem/1.5 system-ui, sans-serif;
}

html, body {
    height: 100%;
    min-height: 100vh;
}

.app {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

@media screen and (max-width: 768px) {
    .app {
        padding: 0 2rem;
    }
}

.app-register {
    background: #fff;
    border-radius: 0.3rem;
    width: 100%;
    padding: 1.5rem;
}

@media screen and (min-width: 768px) {
    .app-register {
        width: 40vw;
    }
}

.app-section-header {
    padding-bottom: 0.4rem;
    border-bottom: 1px solid #e8e8e8;
}

.app-section-header h1 {
    font-size: 1.5rem;
    font-weight: 900;
}

.app-form {
    margin: 1.3rem 0;
    padding: 1.5rem;
    border: 1px solid #e8e8e8;
    border-radius: 0.3rem;
}

.form-group {
    margin-bottom: 1rem;
}

.form-label {
    display: block;
    margin-bottom: 0.4rem;
    font-weight: 600;
}

.form-input {
    display: block;
    width: 100%;
    background-color: #fff;
    border: 1px solid #e8e8e8;
    font-family: inherit;
    font-size: inherit;
    padding: 0.7rem;
    border-radius: 0.3rem;
    transition: all 500ms ease;
}

.form-input:focus {
    outline-style: none;
    border-color: #333;
}

.form-actions {
    width: 100%;
    padding-top: 1rem;
    border-top: 1px solid #e8e8e8;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 0.8rem;
}

.btn {
    cursor: pointer;
    padding: 0.7rem 1rem;
    font-family: inherit;
    font-size: inherit;
    border-radius: 3px;
}

.btn:disabled {
    cursor: not-allowed;
    opacity: 0.5;
}

.btn-secondary {
    background-color: #eee;
    color: #333;
    border: 1px solid #eee;
}

.btn-primary {
    background-color: #333;
    color: #fff;
    border: 1px solid #333;
}

.req {
    color: #c00;
}

.form-input-error {
    border-color: #c00;
    background: #FFEBEE;
}

.form-error {
    margin-top: 0.6em;
    font-size: 0.8rem;
    color: #c00;
}